- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I am using the 'Bolt' example to create a cap screw.
All is going well until I want to cut the hex in the head.
No problem cutting the hex, but I want it to start with an offset from the plane.
My code so far to cut the hex:
prof = sketch.profiles[0]
extInput = extrudes.createInput(prof, adsk.fusion.FeatureOperations.CutFeatureOperation)
distance = adsk.core.ValueInput.createByReal(self.headHeight*-1)
extInput.setDistanceExtent(False, distance)
headExt = extrudes.add(extInput)
What I can't figure out is how to offset the start plane to distance*.4 and finish at distance
Any help is appreciated.
Thank you.
Brad Bylls
Solved! Go to Solution.